Hermos API

List Payment Setups

GET/payment_setups

Authorization

AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/payment_setups"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "livemode": true,      "name": "string",      "product_ids": [        "026d7765-cea5-4b36-a2c4-f616e464c692"      ],      "kind": "hermos_payments",      "status": "active",      "is_default_card": true,      "is_default_paypal": true,      "rails": {        "card": {          "processor_account_id": "3a333591-a1fa-4337-ba95-a047a33dce06",          "capabilities": {            "weCreateCharges": true,            "weSetProcessingPrice": true,            "merchantHasStripeDashboard": true,            "merchantCanActOutsideUs": true,            "weComputeEntitlement": "yes",            "weSendCustomerEmail": "yes",            "existingObjectsArrive": "no",            "merchantReported": true,            "processorControlsApply": true,            "feesOnMerchantBalance": true,            "accountDebitPossible": true,            "platformCarriesLosses": true,            "cardPaymentsEnabled": true          },          "health": "sellable"        },        "paypal": {          "processor_account_id": "3a333591-a1fa-4337-ba95-a047a33dce06",          "capabilities": {            "weCreateCharges": true,            "weSetProcessingPrice": true,            "merchantHasStripeDashboard": true,            "merchantCanActOutsideUs": true,            "weComputeEntitlement": "yes",            "weSendCustomerEmail": "yes",            "existingObjectsArrive": "no",            "merchantReported": true,            "processorControlsApply": true,            "feesOnMerchantBalance": true,            "accountDebitPossible": true,            "platformCarriesLosses": true,            "cardPaymentsEnabled": true          },          "health": "sellable"        },        "feed": {          "processor_account_id": "3a333591-a1fa-4337-ba95-a047a33dce06",          "capabilities": {            "weCreateCharges": true,            "weSetProcessingPrice": true,            "merchantHasStripeDashboard": true,            "merchantCanActOutsideUs": true,            "weComputeEntitlement": "yes",            "weSendCustomerEmail": "yes",            "existingObjectsArrive": "no",            "merchantReported": true,            "processorControlsApply": true,            "feesOnMerchantBalance": true,            "accountDebitPossible": true,            "platformCarriesLosses": true,            "cardPaymentsEnabled": true          },          "health": "sellable"        }      },      "retired_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}